Index: c/src/lib/libcpu/powerpc/ChangeLog
===================================================================
--- c/src/lib/libcpu/powerpc/ChangeLog	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ChangeLog	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -1,2 +1,46 @@
+2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:
+	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
+	* mpc505/ictrl/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc505/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc505/timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc505/vectors/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc6xx/clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc6xx/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc6xx/exceptions/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc6xx/mmu/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc6xx/timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc6xx/wrapup/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/console-generic/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/cpm/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/exceptions/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/mmu/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8260/timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/console-generic/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/cpm/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/exceptions/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/mmu/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* mpc8xx/timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* ppc403/clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* ppc403/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* ppc403/console/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* ppc403/ictrl/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* ppc403/timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* ppc403/tty_drv/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* ppc403/vectors/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* shared/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* shared/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* shared/src/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* wrapup/Makefile.am: Remove AUTOMAKE_OPTIONS.
+
 2002-01-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/powerpc/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I ../../../../../aclocal
 
Index: c/src/lib/libcpu/powerpc/configure.ac
===================================================================
--- c/src/lib/libcpu/powerpc/configure.ac	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/configure.ac	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -4,5 +4,5 @@
 
 AC_PREREQ(2.52)
-AC_INIT
+AC_INIT([rtems-c-src-lib-libcpu-powerpc],[_RTEMS_VERSION],[rtems-bugs@OARcorp.com])
 AC_CONFIG_SRCDIR([mpc6xx])
 RTEMS_TOP(../../../../..)
@@ -11,5 +11,5 @@
 RTEMS_CANONICAL_TARGET_CPU
 
-AM_INIT_AUTOMAKE(rtems-c-src-lib-libcpu-powerpc,$RTEMS_VERSION,no)
+AM_INIT_AUTOMAKE([no-define foreign 1.6])
 AM_MAINTAINER_MODE
 
Index: c/src/lib/libcpu/powerpc/mpc505/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc505/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc505/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 SUBDIRS = ictrl vectors timer
Index: c/src/lib/libcpu/powerpc/mpc505/ictrl/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc505/ictrl/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc505/ictrl/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/ictrl.rel
Index: c/src/lib/libcpu/powerpc/mpc505/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc505/timer/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc505/timer/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libcpu/powerpc/mpc505/vectors/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc505/vectors/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc505/vectors/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/vectors.rel
Index: c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 SUBDIRS = exceptions mmu clock timer wrapup
Index: c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 C_FILES = c_clock.c
Index: c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/exceptions.rel
Index: c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/mmu.rel
Index: c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc6xx/wrapup/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 # PROC_SPECIFIC_O_FILES = exceptions mmu clock
Index: c/src/lib/libcpu/powerpc/mpc8260/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 SUBDIRS = include console-generic clock timer exceptions mmu cpm
Index: c/src/lib/libcpu/powerpc/mpc8260/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/clock/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/clock/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/clock.rel
Index: c/src/lib/libcpu/powerpc/mpc8260/console-generic/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/console-generic/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/console-generic/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/console-generic.rel
Index: c/src/lib/libcpu/powerpc/mpc8260/cpm/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/cpm/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/cpm/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/cp.rel
Index: c/src/lib/libcpu/powerpc/mpc8260/exceptions/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/exceptions/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/exceptions/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/exceptions.rel
Index: c/src/lib/libcpu/powerpc/mpc8260/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/include/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/include/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 include_mpc8260dir = $(includedir)/mpc8260
Index: c/src/lib/libcpu/powerpc/mpc8260/mmu/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/mmu/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/mmu/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/mmu.rel
Index: c/src/lib/libcpu/powerpc/mpc8260/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8260/timer/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8260/timer/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/timer.rel
Index: c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 SUBDIRS = include console-generic clock timer cpm mmu exceptions
Index: c/src/lib/libcpu/powerpc/mpc8xx/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/clock/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/clock/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/clock.rel
Index: c/src/lib/libcpu/powerpc/mpc8xx/console-generic/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/console-generic/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/console-generic/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/console-generic.rel
Index: c/src/lib/libcpu/powerpc/mpc8xx/cpm/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/cpm/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/cpm/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/cp.rel
Index: c/src/lib/libcpu/powerpc/mpc8xx/exceptions/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/exceptions/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/exceptions/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/exceptions.rel
Index: c/src/lib/libcpu/powerpc/mpc8xx/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/include/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/include/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 include_mpc8xxdir = $(includedir)/mpc8xx
Index: c/src/lib/libcpu/powerpc/mpc8xx/mmu/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/mmu/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/mmu/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/mmu.rel
Index: c/src/lib/libcpu/powerpc/mpc8xx/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc8xx/timer/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/mpc8xx/timer/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/timer.rel
Index: c/src/lib/libcpu/powerpc/ppc403/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ppc403/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 if ppc403
Index: c/src/lib/libcpu/powerpc/ppc403/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/clock/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ppc403/clock/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/clock.rel
Index: c/src/lib/libcpu/powerpc/ppc403/console/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/console/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ppc403/console/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/console.rel
Index: c/src/lib/libcpu/powerpc/ppc403/ictrl/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/ictrl/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ppc403/ictrl/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/ictrl.rel
Index: c/src/lib/libcpu/powerpc/ppc403/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/timer/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ppc403/timer/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libcpu/powerpc/ppc403/tty_drv/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/tty_drv/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ppc403/tty_drv/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/tty_drv.rel
Index: c/src/lib/libcpu/powerpc/ppc403/vectors/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/vectors/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/ppc403/vectors/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = ${ARCH}/vectors.rel
Index: c/src/lib/libcpu/powerpc/shared/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/shared/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/shared/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 SUBDIRS = include src
Index: c/src/lib/libcpu/powerpc/shared/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/shared/include/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/shared/include/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 C_FILES = cpuIdent.c
Index: c/src/lib/libcpu/powerpc/shared/src/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/shared/src/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/shared/src/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 VPATH = @srcdir@:@srcdir@/../../../shared/src
Index: c/src/lib/libcpu/powerpc/wrapup/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/wrapup/Makefile.am	(revision 9269ef81eaf3f1559da67de43176e4f9242608ed)
+++ c/src/lib/libcpu/powerpc/wrapup/Makefile.am	(revision 80bbfb9a6afc60586a293afde13d33ee3c9fcf67)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 GENERIC_FILES = shared