Index: rtems/config/4.11/rtems-arm.bset
===================================================================
--- rtems/config/4.11/rtems-arm.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-arm.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -24,5 +24,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-avr.bset
===================================================================
--- rtems/config/4.11/rtems-avr.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-avr.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -37,5 +37,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-bfin.bset
===================================================================
--- rtems/config/4.11/rtems-bfin.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-bfin.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -19,5 +19,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-h8300.bset
===================================================================
--- rtems/config/4.11/rtems-h8300.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-h8300.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -24,5 +24,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.8.3-newlib-git-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-i386.bset
===================================================================
--- rtems/config/4.11/rtems-i386.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-i386.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -19,5 +19,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-lm32.bset
===================================================================
--- rtems/config/4.11/rtems-lm32.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-lm32.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -25,5 +25,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-m32c.bset
===================================================================
--- rtems/config/4.11/rtems-m32c.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-m32c.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -43,5 +43,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.8.3-newlib-git-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-m32r.bset
===================================================================
--- rtems/config/4.11/rtems-m32r.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-m32r.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -19,5 +19,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-m68k.bset
===================================================================
--- rtems/config/4.11/rtems-m68k.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-m68k.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -19,5 +19,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-microblaze.bset
===================================================================
--- rtems/config/4.11/rtems-microblaze.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-microblaze.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -30,5 +30,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-mips.bset
===================================================================
--- rtems/config/4.11/rtems-mips.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-mips.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -29,5 +29,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-mipstx39-gdb-7.7-1
 tools/rtems-tools-4.11-1
Index: rtems/config/4.11/rtems-moxie.bset
===================================================================
--- rtems/config/4.11/rtems-moxie.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-moxie.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -25,5 +25,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-nios2.bset
===================================================================
--- rtems/config/4.11/rtems-nios2.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-nios2.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -19,5 +19,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-powerpc.bset
===================================================================
--- rtems/config/4.11/rtems-powerpc.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-powerpc.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -29,5 +29,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-sh.bset
===================================================================
--- rtems/config/4.11/rtems-sh.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-sh.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -19,5 +19,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-sparc.bset
===================================================================
--- rtems/config/4.11/rtems-sparc.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-sparc.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -38,5 +38,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-sparc64.bset
===================================================================
--- rtems/config/4.11/rtems-sparc64.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-sparc64.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -19,5 +19,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/4.11/rtems-v850.bset
===================================================================
--- rtems/config/4.11/rtems-v850.bset	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/4.11/rtems-v850.bset	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -24,5 +24,5 @@
 tools/rtems-binutils-2.24-1
 tools/rtems-gcc-4.9.2-newlib-2.2.0-1-1
-tools/rtems-gdb-7.8.1-1
+tools/rtems-gdb-7.8.2-1
 tools/rtems-tools-4.11-1
 tools/rtems-kernel-4.11
Index: rtems/config/tools/rtems-gdb-7.8.1-1.cfg
===================================================================
--- rtems/config/tools/rtems-gdb-7.8.1-1.cfg	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ rtems/config/tools/rtems-gdb-7.8.1-1.cfg	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -8,5 +8,5 @@
 %define gdb_version 7.8.1
 
-%hash md5 gdb-%{gdb_version}.tar.gz 997492cc3475c96f35ecc8775248c9b1
+#%hash md5 gdb-%{gdb_version}.tar.bz2 997492cc3475c96f35ecc8775248c9b1
 
 #
@@ -26,3 +26,3 @@
 # The gdb build instructions. We use 7.xx Release 1.
 #
-%include %{_configdir}/gdb-7.8.1-1.cfg
+%include %{_configdir}/gdb-7-1.cfg
Index: rtems/config/tools/rtems-gdb-7.8.2-1.cfg
===================================================================
--- rtems/config/tools/rtems-gdb-7.8.2-1.cfg	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
+++ rtems/config/tools/rtems-gdb-7.8.2-1.cfg	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -0,0 +1,29 @@
+#
+# GDB 7.8.2
+#
+
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+%define gdb_version 7.8.2
+%define gdb_src_ext xz
+
+#%hash md5 gdb-%{gdb_version}.tar.xz 997492cc3475c96f35ecc8775248c9b1
+
+#
+# Clean up the sim-arange inline code so it builds.
+#
+%patch add gdb %{rtems_gdb_patches}/gdb-sim-arange-inline.diff
+%hash  md5 gdb-sim-arange-inline.diff 11bb2936ea29afeaa023077191fd4705
+%patch add gdb %{rtems_gdb_patches}/gdb-sim-cgen-inline.diff
+%hash  md5 gdb-sim-cgen-inline.diff e6f7d6d7295cdba99f51aab514ea9778
+
+%if %{_build_os} == freebsd
+ %patch add gdb -p0 %{rtems_gdb_patches}/patch-gdb-python-python-config.py
+ %hash  md5 patch-gdb-python-python-config.py c0260fcca4c1a5509635049c0094eee3
+%endif
+
+#
+# The gdb build instructions. We use 7.xx Release 1.
+#
+%include %{_configdir}/gdb-7-1.cfg
Index: source-builder/config/gdb-7-1.cfg
===================================================================
--- source-builder/config/gdb-7-1.cfg	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ source-builder/config/gdb-7-1.cfg	(revision 81ccf41bc061093dea5c8dabc320011a10454bda)
@@ -42,7 +42,14 @@
 
 #
+# GDB has changed it default extension.
+#
+%ifn %{defined gdb_src_ext}
+  %define gdb_src_ext gz
+%endif
+
+#
 # Source
 #
-%source set gdb http://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%source set gdb http://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.%{gdb_src_ext}
 
 #
Index: urce-builder/config/gdb-7.8.1-1.cfg
===================================================================
--- source-builder/config/gdb-7.8.1-1.cfg	(revision 7c7eb86e0c87cbe2516be3b5c5d5d8fdeb26e1ab)
+++ 	(revision )
@@ -1,122 +1,0 @@
-#
-# GDB 7.xx Version 1.
-#
-# This configuration file configure's, make's and install's gdb.
-#
-
-#
-# See if the simulator has been disabled for Windows.
-#
-%if %{_host_os} == mingw32
- %if %{defined win32-gdb-disable-sim}
-  %define gdb-disable-sim 1
-  %endif
-%endif
-
-#
-# Default to building simulators.
-#
-%ifn %{defined gdb-disable-sim}
- %define gdb-disable-sim 0
-%else
- %undefine gdb-sim-options
-%endif
-
-%include %{_configdir}/checks.cfg
-
-#
-# Select Snapshot Macro Maps
-#
-%select gdb-snapshot
-%select expat-snapshot
-
-#
-# The description.
-#
-Name:      %{_target}-gdb-%{gdb_version}-%{release}
-Summary:   GDB v%{gdb_version} for target %{_target} on host %{_host}
-Version:   %{gdb_version}
-Release:   %{release}
-URL: 	   http://www.gnu.org/software/gdb/
-BuildRoot: %{_tmppath}/%{name}-root-%(%{__id_u} -n)
-
-#
-# Source
-#
-%source set gdb http://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.gz
-
-#
-# Disable Python on Cxc builds for now.
-#
-%if "%{_build}" != "%{_host}"
-  %define without_python
-%endif
-
-#
-#
-# Prepare the source code.
-#
-%prep
-  build_top=$(pwd)
-
-  source_dir_gdb="gdb-%{gdb_version}"
-  %source setup gdb -q -n gdb-%{gdb_version}
-  %patch setup gdb -p1
-
-  cd ${build_top}
-
-%build
-  build_top=$(pwd)
-
-  %{build_directory}
-
-  mkdir -p ${build_dir}
-  cd ${build_dir}
-
-  %{host_build_flags}
-
-  if test "%{_build}" != "%{_host}" ; then
-    GDB_LIBS_STATIC="-lexpat"
-  else
-    GDB_LIBS_STATIC="-lexpat"
-    GDB_LIBS="%{_forced_static}"
-  fi
-
-  LIBS_STATIC=${GDB_LIBS_STATIC} \
-  LIBS=${GDB_LIBS} \
-  ../${source_dir_gdb}/configure \
-    --build=%{_build} --host=%{_host} \
-    --target=%{_target} \
-    --verbose --disable-nls \
-    --without-included-gettext \
-    --disable-win32-registry \
-    --disable-werror \
-    %{!?gdb-disable-sim:--enable-sim}%{?gdb-disable-sim:--disable-sim} \
-    %{?gdb-sim-options:%{gdb-sim-options}} \
-    --without-zlib \
-    --with-expat \
-    %{!?without_python:--with-python} \
-    --prefix=%{_prefix} --bindir=%{_bindir} \
-    --exec-prefix=%{_exec_prefix} \
-    --includedir=%{_includedir} --libdir=%{_libdir} \
-    --mandir=%{_mandir} --infodir=%{_infodir}
-
-  %{__make} %{?_smp_mflags} all
-
-  cd ${build_top}
-
-%install
-  build_top=$(pwd)
-
-  %{__rmdir} $SB_BUILD_ROOT
-
-  cd ${build_dir}
-  %{__make} DESTDIR=$SB_BUILD_ROOT install
-
-  # Dropped in FSF-binutils-2.9.5, but Cygwin still ships it.
-  %{__rmdir} $SB_BUILD_ROOT%{_infodir}/configure.info*
-
-  %{__rmfile} $SB_BUILD_ROOT%{_infodir}/dir
-  touch $SB_BUILD_ROOT%{_infodir}/dir
-
-  cd ${build_top}