Index: c/src/lib/libbsp/or32/orp/ChangeLog
===================================================================
--- c/src/lib/libbsp/or32/orp/ChangeLog	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/or32/orp/ChangeLog	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -1,2 +1,9 @@
+2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in include/Makefile.am.
+	Reflect changes to bsp.am.
+	* include/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2003-09-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/or32/orp/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/or32/orp/Makefile.am	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -6,10 +6,16 @@
 
 # wrapup is the one that actually builds and installs the library
-#  from the individual .rel files built in other directories
-SUBDIRS = . include clock console startup timer start wrapup
+# from the individual .rel files built in other directories
+SUBDIRS = . clock console startup timer start wrapup
 
 include $(top_srcdir)/../../bsp.am
 
-EXTRA_DIST = bsp_specs
+include_HEADERS += include/coverhd.h
+
+all-local: $(PREINSTALL_FILES)
+
+$(PROJECT_INCLUDE)/coverhd.h: include/coverhd.h
+	$(INSTALL_DATA) $< $@
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/lib/libbsp/or32/orp/configure.ac
===================================================================
--- c/src/lib/libbsp/or32/orp/configure.ac	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/or32/orp/configure.ac	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -19,5 +19,4 @@
 clock/Makefile
 console/Makefile
-include/Makefile
 start/Makefile
 startup/Makefile
Index: src/lib/libbsp/or32/orp/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/include/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ 	(revision )
@@ -1,22 +1,0 @@
-##
-## $Id$
-##
-
-
-include_HEADERS = bsp.h coverhd.h bspopts.h
-
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
-	cp $< $@
-CLEANFILES = coverhd.h
-
-TMPINSTALL_FILES = $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
-
-all-local: $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/sparc/erc32/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -1,2 +1,9 @@
+2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in include/Makefile.am.
+	Reflect changes to bsp.am.
+	* include/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2003-09-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sparc/erc32/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -6,11 +6,19 @@
 
 # wrapup is the one that actually builds and installs the library
-#  from the individual .rel files built in other directories
-SUBDIRS = . include start startup gnatsupp console clock timer erc32sonic \
-    wrapup tools
+# from the individual .rel files built in other directories
+SUBDIRS = . start startup gnatsupp console clock timer erc32sonic wrapup \
+    tools
 
 include $(top_srcdir)/../../bsp.am
 
-EXTRA_DIST = bsp_specs times
+include_HEADERS += include/erc32.h
+
+all-local: $(PREINSTALL_FILES)
+
+EXTRA_DIST = times
+
+$(PROJECT_INCLUDE)/erc32.h: include/erc32.h
+	$(INSTALL_DATA) $< $@
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/erc32.h
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/lib/libbsp/sparc/erc32/configure.ac
===================================================================
--- c/src/lib/libbsp/sparc/erc32/configure.ac	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/sparc/erc32/configure.ac	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -43,5 +43,4 @@
 erc32sonic/Makefile
 gnatsupp/Makefile
-include/Makefile
 start/Makefile
 startup/Makefile
Index: src/lib/libbsp/sparc/erc32/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ 	(revision )
@@ -1,19 +1,0 @@
-##
-## $Id$
-##
-
-
-include_HEADERS = bsp.h coverhd.h erc32.h bspopts.h
-
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE) \
-    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
-
-all-local: $(PREINSTALL_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/sparc/leon/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/leon/ChangeLog	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/sparc/leon/ChangeLog	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -1,2 +1,9 @@
+2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in include/Makefile.am.
+	Reflect changes to bsp.am.
+	* include/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2003-09-08	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sparc/leon/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/sparc/leon/Makefile.am	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -6,11 +6,19 @@
 
 # wrapup is the one that actually builds and installs the library
-#  from the individual .rel files built in other directories
-SUBDIRS = . include start startup gnatsupp console clock timer \
-    leon_open_eth wrapup tools
+# from the individual .rel files built in other directories
+SUBDIRS = . start startup gnatsupp console clock timer leon_open_eth wrapup \
+    tools
 
 include $(top_srcdir)/../../bsp.am
 
-EXTRA_DIST = bsp_specs times
+include_HEADERS += include/leon.h 
+
+all-local: $(PREINSTALL_FILES)
+
+EXTRA_DIST = times
+
+$(PROJECT_INCLUDE)/leon.h: include/leon.h
+	$(INSTALL_DATA) $< $@
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/leon.h
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/lib/libbsp/sparc/leon/configure.ac
===================================================================
--- c/src/lib/libbsp/sparc/leon/configure.ac	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/sparc/leon/configure.ac	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -43,5 +43,4 @@
 leon_open_eth/Makefile
 gnatsupp/Makefile
-include/Makefile
 start/Makefile
 startup/Makefile
Index: src/lib/libbsp/sparc/leon/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon/include/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ 	(revision )
@@ -1,18 +1,0 @@
-##
-## $Id$
-##
-
-
-include_HEADERS = bsp.h coverhd.h leon.h bspopts.h
-
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
-
-all-local: $(PREINSTALL_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/ChangeLog
===================================================================
--- c/src/lib/libbsp/unix/posix/ChangeLog	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/unix/posix/ChangeLog	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -1,2 +1,9 @@
+2003-09-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Merge-in include/Makefile.am.
+	Reflect changes to bsp.am.
+	* include/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2003-09-26	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/unix/posix/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/unix/posix/Makefile.am	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -6,10 +6,18 @@
 
 # wrapup is the one that actually builds and installs the library
-#  from the individual .rel files built in other directories
-SUBDIRS = . include startup clock console timer shmsupp wrapup tools
+# from the individual .rel files built in other directories
+SUBDIRS = . startup clock console timer shmsupp wrapup tools
 
 include $(top_srcdir)/../../bsp.am
 
-EXTRA_DIST = bsp_specs times
+nodist_include_HEADERS += $(top_srcdir)/../../shared/include/coverhd.h
+
+all-local: $(PREINSTALL_FILES)
+
+EXTRA_DIST = times
+
+$(PROJECT_INCLUDE)/coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
+	$(INSTALL_DATA) $< $@
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
 include $(top_srcdir)/../../../../automake/subdirs.am
Index: c/src/lib/libbsp/unix/posix/configure.ac
===================================================================
--- c/src/lib/libbsp/unix/posix/configure.ac	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ c/src/lib/libbsp/unix/posix/configure.ac	(revision 82a7f58038fb9d7eb897241bd2d8ea6ecac5a05b)
@@ -41,5 +41,4 @@
 clock/Makefile
 console/Makefile
-include/Makefile
 shmsupp/Makefile
 startup/Makefile
Index: src/lib/libbsp/unix/posix/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/include/Makefile.am	(revision 87576f7331a68204b3d4a0a0d51354b6665e0f06)
+++ 	(revision )
@@ -1,22 +1,0 @@
-##
-## $Id$
-##
-
-
-include_HEADERS = bsp.h bspopts.h coverhd.h
-
-$(PROJECT_INCLUDE):
-	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
-	cp $< $@
-CLEANFILES = coverhd.h
-
-TMPINSTALL_FILES = $(PROJECT_INCLUDE) $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
-
-all-local: $(TMPINSTALL_FILES)
-
-include $(top_srcdir)/../../../../automake/local.am