Index: testsuites/psxtmtests/Makefile.am
===================================================================
--- testsuites/psxtmtests/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,6 +1,2 @@
-##
-## $Id$
-##
-
 ACLOCAL_AMFLAGS = -I ../aclocal
 
Index: testsuites/psxtmtests/configure.ac
===================================================================
--- testsuites/psxtmtests/configure.ac	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/configure.ac	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,5 +1,3 @@
 ## Process this file with autoconf to produce a configure script.
-## 
-## $Id$
 
 AC_PREREQ([2.68])
Index: testsuites/psxtmtests/psxtmbarrier01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmbarrier01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmbarrier01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmbarrier01
 psxtmbarrier01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmbarrier02/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmbarrier02/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmbarrier02/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmbarrier02
 psxtmbarrier02_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmbarrier03/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmbarrier03/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmbarrier03/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmbarrier03
 psxtmbarrier03_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmkey01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmkey01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmkey01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmkey01
 psxtmkey01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmkey02/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmkey02/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmkey02/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmkey02
 psxtmkey02_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmmq01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmq01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmq01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmq01
 psxtmmq01_SOURCES  = init.c
Index: testsuites/psxtmtests/psxtmmutex01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmutex01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmutex01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmutex01
 psxtmmutex01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmmutex02/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmutex02/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmutex02/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmutex02
 psxtmmutex02_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmmutex03/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmutex03/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmutex03/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmutex03
 psxtmmutex03_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmmutex04/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmutex04/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmutex04/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmutex04
 psxtmmutex04_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmmutex05/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmutex05/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmutex05/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmutex05
 psxtmmutex05_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmmutex06/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmutex06/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmutex06/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmutex06
 psxtmmutex06_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmmutex07/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmmutex07/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmmutex07/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmmutex07
 psxtmmutex07_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmnanosleep01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmnanosleep01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmnanosleep01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmnanosleep01
 psxtmnanosleep01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmnanosleep02/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmnanosleep02/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmnanosleep02/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmnanosleep02
 psxtmnanosleep02_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmrwlock01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmrwlock01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmrwlock01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmrwlock01
 psxtmrwlock01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmrwlock02/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmrwlock02/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmrwlock02/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmrwlock02
 psxtmrwlock02_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmrwlock03/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmrwlock03/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmrwlock03/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmrwlock03
 psxtmrwlock03_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmrwlock04/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmrwlock04/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmrwlock04/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmrwlock04
 psxtmrwlock04_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmrwlock05/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmrwlock05/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmrwlock05/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmrwlock05
 psxtmrwlock05_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmrwlock06/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmrwlock06/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmrwlock06/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmrwlock06
 psxtmrwlock06_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmrwlock07/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmrwlock07/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmrwlock07/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmrwlock07
 psxtmrwlock07_SOURCES  = init.c
Index: testsuites/psxtmtests/psxtmsem01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmsem01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmsem01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmsem01
 psxtmsem01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmsem02/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmsem02/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmsem02/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmsem02
 psxtmsem02_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmsem03/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmsem03/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmsem03/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmsem03
 psxtmsem03_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmsem04/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmsem04/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmsem04/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmsem04
 psxtmsem04_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmsem05/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmsem05/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmsem05/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmsem05
 psxtmsem05_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmsleep01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmsleep01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmsleep01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmsleep01
 psxtmsleep01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmsleep02/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmsleep02/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmsleep02/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmsleep02
 psxtmsleep02_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmthread01/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmthread01/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmthread01/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmthread01
 psxtmthread01_SOURCES = init.c ../../tmtests/include/timesys.h \
Index: testsuites/psxtmtests/psxtmthread03/Makefile.am
===================================================================
--- testsuites/psxtmtests/psxtmthread03/Makefile.am	(revision 67cad33ea928c36243ba9d0533b56ed249c319c7)
+++ testsuites/psxtmtests/psxtmthread03/Makefile.am	(revision 84b019056499f2e29578fba6fa8495b1bfe75606)
@@ -1,7 +1,2 @@
-##
-## $Id$
-##
-
-
 rtems_tests_PROGRAMS = psxtmthread03
 psxtmthread03_SOURCES = init.c ../../tmtests/include/timesys.h \